Updates the job_priority object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "1f88e080-e3c0-46a5-9769-ef9797dca2c0",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "04d07755-218a-4e29-99eb-741ae8c96554",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "387c96e5-e802-4280-821b-90493d49325a",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "5a019ccf-0ff3-4a35-ac83-2a1342fe45e3",
    "db_currency_id": "a8eb712b-107a-4ab0-a61a-de4e9a7b1eff",
    "db_language_id": "dcc4e5b9-d71a-402d-ae19-925b2c90d340",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-12T19:22:48.5014072+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-11-12T19:22:48.5014072+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.